<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_margin="@dimen/seekbarsize_small"
    android:background="@drawable/redeem_bg"
    android:gravity="center"
    android:orientation="vertical"
    app:cardBackgroundColor="@color/material_white"
    app:cardElevation="2dp"
    app:cardUseCompatPadding="true"
    >

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="140dp"
        android:gravity="center"
        android:background="@drawable/redeem_bg"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/product_image"
            android:layout_width="@dimen/timerSize"
            android:layout_height="@dimen/timerSize"
            android:layout_margin="@dimen/seekbarsize_small"
            android:layout_marginLeft="@dimen/seekbarsize"
            android:contentDescription="@string/app_name"
            android:padding="@dimen/seekbarsize_small"
            android:scaleType="fitCenter"
            android:src="@drawable/hyperm_logo" />

        <TextView

            android:layout_width="2dp"
            android:layout_height="match_parent"
            android:layout_margin="@dimen/seekbarsize"
            android:background="@color/material_grey200"
            android:textSize="@dimen/textSizeAverage" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:gravity="center"
            android:layout_weight="1"
            android:padding="@dimen/seekbarsize"
            android:orientation="vertical">

            <TextView
                android:id="@+id/text_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center|left"
                android:paddingLeft="@dimen/seekbarsize"
                android:singleLine="true"
                android:textStyle="bold"
                android:textColor="@color/material_black"
                android:textSize="@dimen/textSizeSmall" />


            <TextView
                android:id="@+id/text_desc"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="@dimen/seekbarsize_small"
                android:ellipsize="end"
                android:gravity="center|left"
                android:marqueeRepeatLimit="marquee_forever"
                android:maxLines="2"
                android:text=""
                android:paddingLeft="@dimen/seekbarsize"
                android:textColor="@color/material_black"
                android:textSize="@dimen/textSizeToSmall" />

            <TextView
                android:id="@+id/text_pin"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="@dimen/seekbarsize_small"
                android:ellipsize="end"
                android:gravity="center|left"
                android:marqueeRepeatLimit="marquee_forever"
                android:maxLines="2"
                android:text=""
                android:paddingLeft="@dimen/seekbarsize"
                android:textColor="@color/material_black"
                android:textSize="@dimen/textSizeToSmall" />
            <TextView
                android:id="@+id/text_expiry_date"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="@dimen/seekbarsize_small"
                android:ellipsize="end"
                android:gravity="center|left"
                android:marqueeRepeatLimit="marquee_forever"
                android:maxLines="2"
                android:text=""
                android:paddingLeft="@dimen/seekbarsize"
                android:textColor="@color/material_black"
                android:textSize="@dimen/textSizeToSmall" />
            <TextView
                android:id="@+id/text_status"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="@dimen/seekbarsize_small"
                android:ellipsize="end"
                android:gravity="center|left"
                android:marqueeRepeatLimit="marquee_forever"
                android:maxLines="2"
                android:text=""
                android:paddingLeft="@dimen/seekbarsize"
                android:textColor="@color/material_black"
                android:textSize="@dimen/textSizeToSmall" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="right"
                android:orientation="horizontal"
                android:gravity="right">

                <TextView

                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginTop="@dimen/seekbarsize_small"
                    android:ellipsize="end"
                    android:gravity="right"
                    android:marqueeRepeatLimit="marquee_forever"
                    android:maxLines="2"
                    android:paddingLeft="@dimen/seekbarsize"
                    android:textColor="@color/material_black"
                    android:textSize="@dimen/textSizeToSmall" />

            <TextView
                android:id="@+id/redeem_price"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="@dimen/seekbarsize_small"
                android:ellipsize="end"
                android:gravity="right|center"
                android:marqueeRepeatLimit="marquee_forever"
                android:maxLines="2"
                android:textStyle="bold"
                android:paddingLeft="@dimen/seekbarsize"
                android:textColor="@color/bg_color"
                android:textSize="@dimen/textSizeSmall" />
            </LinearLayout>


        </LinearLayout>


    </LinearLayout>


</androidx.cardview.widget.CardView>
